"""add rct_detection

Revision ID: bb7bee84037c
Revises: c49ec3790171
Create Date: 2026-07-08 07:22:04.960201
"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa

revision: str = 'bb7bee84037c'
down_revision: Union[str, None] = 'c49ec3790171'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('global_literature', sa.Column('rct_detection', sa.JSON(), nullable=True))


def downgrade() -> None:
    op.drop_column('global_literature', 'rct_detection')
